Bug 1995116 - Pod logs shows incorrect lines number in the log window top banner
Summary: Pod logs shows incorrect lines number in the log window top banner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Kim Dobestein
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-18 13:26 UTC by Juntao Wang
Modified: 2021-10-18 17:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:47:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9857 0 None None None 2021-08-23 19:19:12 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:47:40 UTC

Description Juntao Wang 2021-08-18 13:26:18 UTC
Description of problem:
The logs pages of pods always show incorrect lines number.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to any of the pods, click on the Logs tab.
2. Check the line numbers at the top of the log window.

Actual results:
The lines number shows in the banner is always 1 more than the actual lines number. (e.g. If there is only 1 line in the log window, the banner will show "2 lines")

Expected results:
The lines number that shows in the banner should be aligned with the actual lines number of the logs.

Additional info:

Comment 3 Xiyun Zhao 2021-09-01 01:10:45 UTC
This bug has been fixed and verified on payload 4.9.0-0.nightly-2021-08-31-123131

Verification steps:
1. Login OCP and go to any of the pods, click on the Logs tab.
2. Check the line numbers at the top of the log window.

Result:
2. The lines number that shows in the banner is aligned with the actual lines number of the logs.

Comment 6 errata-xmlrpc 2021-10-18 17:47:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.